package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 排班途径
 */
public enum SchedulingApproachEnum implements BaseEnum {
    RULE("0","规律排班"),
    IMPORT("1","导入排班"),
    CALENDAR("2","日历排班"),
    INTELLIGENT("3","智能工时"),
    SCENE("4","现场排班"),
    WORKFLOW("5","流程申请"),
    COMPREHENSIVE("6","综合工时"),
    DASH("7","划线排班");

    private String key;
    private String value;

    SchedulingApproachEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
